- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_phase_rule.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_qname.h>`
`#include <axutil_param.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_phase_rule | axis2_phase_rule_t
## Functions
AXIS2_EXTERN const axis2_char_t * | axis2_phase_rule_get_before (const axis2_phase_rule_t *phase_rule, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_phase_rule_set_before (axis2_phase_rule_t *phase_rule, const axutil_env_t *env, const axis2_char_t *before)
AXIS2_EXTERN const axis2_char_t * | axis2_phase_rule_get_after (const axis2_phase_rule_t *phase_rule, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_phase_rule_set_after (axis2_phase_rule_t *phase_rule, const axutil_env_t *env, const axis2_char_t *after)
AXIS2_EXTERN const axis2_char_t * | axis2_phase_rule_get_name (const axis2_phase_rule_t *phase_rule, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_phase_rule_set_name (axis2_phase_rule_t *phase_rule, const axutil_env_t *env, const axis2_char_t *name)
AXIS2_EXTERN axis2_bool_t | axis2_phase_rule_is_first (const axis2_phase_rule_t *phase_rule, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_phase_rule_set_first (axis2_phase_rule_t *phase_rule, const axutil_env_t *env, axis2_bool_t first)
AXIS2_EXTERN axis2_bool_t | axis2_phase_rule_is_last (const axis2_phase_rule_t *phase_rule, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_phase_rule_set_last (axis2_phase_rule_t *phase_rule, const axutil_env_t *env, axis2_bool_t last)
AXIS2_EXTERN void | axis2_phase_rule_free (axis2_phase_rule_t *phase_rule, const axutil_env_t *env)
AXIS2_EXTERN axis2_phase_rule_t * | axis2_phase_rule_clone (axis2_phase_rule_t *phase_rule, const axutil_env_t *env)
AXIS2_EXTERN axis2_phase_rule_t * | axis2_phase_rule_create (const axutil_env_t *env, const axis2_char_t *name)

## Detailed Description